# Interface KMLSublayerExtensionCollection

A collection of sublayer extensions belonging to a mapping/KMLLayerExtension!KMLLayerExtension or a KMLSublayerExtension.

interface KMLSublayerExtensionCollection {
initializedItems: ReadOnlyCollection<KMLSublayerExtension>;
findById(id: string): KMLSublayerExtension;
findBySublayerId(id: number): KMLSublayerExtension;
forSublayer(sublayer: KMLSublayer): KMLSublayerExtension;
}

#### Hierarchy (view full)

- InitializableCollection<KMLSublayerExtensionProperties, KMLSublayerExtension>
  - KMLSublayerExtensionCollection

#####
Index

### Properties

initializedItems

### Methods

findById
findBySublayerId
forSublayer

##
Properties

### initializedItems

initializedItems: ReadOnlyCollection<KMLSublayerExtension>

Returns a collection of the initialized items.

Inherited from InitializableCollection.initializedItems

##
Methods

### findById

- findById(id): KMLSublayerExtension

- Get the sublayer extension for a given id.

  #### Parameters

  - id: string

    The id of the sublayer extension.

  #### Returns KMLSublayerExtension

  The sublayer extension.

### findBySublayerId

- findBySublayerId(id): KMLSublayerExtension

- Get the corresponding sublayer extension for a given sublayer id.

  #### Parameters

  - id: number

    The id of the sublayer.

  #### Returns KMLSublayerExtension

  The corresponding sublayer extension.

### forSublayer

- forSublayer(sublayer): KMLSublayerExtension

- Gets the corresponding sublayer extension for a given sublayer.

  #### Parameters

  - sublayer: KMLSublayer

    A sublayer.

  #### Returns KMLSublayerExtension

  The corresponding sublayer extension.